package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.ActGeBytearrayDO;
import com.abssqr.plat.common.dal.mysql.auto.mapper.ActGeBytearrayDOMapper;

/**
* The Table act_ge_bytearray.
* ACT_GE_BYTEARRAY
*/
@Repository
public class ActGeBytearrayDAO{

    @Autowired
    private ActGeBytearrayDOMapper actGeBytearrayDOMapper;

    /**
     * desc:插入表:act_ge_bytearray.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(ActGeBytearrayDO entity){
        return actGeBytearrayDOMapper.insert(entity);
    }
    /**
     * desc:更新表:act_ge_bytearray.<br/>
     * @param entity entity
     * @return int
     */
    
    public int update(ActGeBytearrayDO entity){
        return actGeBytearrayDOMapper.update(entity);
    }
    /**
     * desc:根据主键删除数据:act_ge_bytearray.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(String id){
        return actGeBytearrayDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:act_ge_bytearray.<br/>
     * @param id id
     * @return ActGeBytearrayDO
     */
    
    public ActGeBytearrayDO getById(String id){
        return actGeBytearrayDOMapper.getById(id);
    }
}
