package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 资产包
 */
public class AstPackDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * avalAmt 预期规模.
     */
    private Long avalAmt;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * dymRule 动态规则列表.
     */
    private String dymRule;
    /**
     * extData 资产包详情.
     */
    private String extData;
    /**
     * packCode 资产包编码.
     */
    private String packCode;
    /**
     * packName 资产包名称.
     */
    private String packName;
    /**
     * packType 资产包类型.
     */
    private String packType;
    /**
     * transRule 转让规则.
     */
    private String transRule;
    /**
     * packStatus 资产包状态.
     */
    private String packStatus;
    /**
     * backOutCode 资产转出机构.
     */
    private String backOutCode;
    /**
     * calcIntrType 利率计算类型.
     */
    private String calcIntrType;
    /**
     * approveStatus 审批状态.
     */
    private String approveStatus;
    /**
     * abssqrProdCode 产品编号.
     */
    private String abssqrProdCode;
    /**
     * managerOrgCode 资产管理机构.
     */
    private String managerOrgCode;
    /**
     * scenDate 刷选日期.
     */
    private Date scenDate;
    /**
     * gmtCreate 创建日期.
     */
    private Date gmtCreate;
    /**
     * maxEndDate 最大到期日.
     */
    private Date maxEndDate;
    /**
     * minEndDate 最小到期日.
     */
    private Date minEndDate;
    /**
     * approveDate 审批完成日期.
     */
    private Date approveDate;
    /**
     * gmtModified 最近修改日期.
     */
    private Date gmtModified;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set avalAmt 预期规模.
     */
    public void setAvalAmt(Long avalAmt){
        this.avalAmt = avalAmt;
    }

    /**
     * Get avalAmt 预期规模.
     *
     * @return the string
     */
    public Long getAvalAmt(){
        return avalAmt;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set dymRule 动态规则列表.
     */
    public void setDymRule(String dymRule){
        this.dymRule = dymRule;
    }

    /**
     * Get dymRule 动态规则列表.
     *
     * @return the string
     */
    public String getDymRule(){
        return dymRule;
    }

    /**
     * Set extData 资产包详情.
     */
    public void setExtData(String extData){
        this.extData = extData;
    }

    /**
     * Get extData 资产包详情.
     *
     * @return the string
     */
    public String getExtData(){
        return extData;
    }

    /**
     * Set packCode 资产包编码.
     */
    public void setPackCode(String packCode){
        this.packCode = packCode;
    }

    /**
     * Get packCode 资产包编码.
     *
     * @return the string
     */
    public String getPackCode(){
        return packCode;
    }

    /**
     * Set packName 资产包名称.
     */
    public void setPackName(String packName){
        this.packName = packName;
    }

    /**
     * Get packName 资产包名称.
     *
     * @return the string
     */
    public String getPackName(){
        return packName;
    }

    /**
     * Set packType 资产包类型.
     */
    public void setPackType(String packType){
        this.packType = packType;
    }

    /**
     * Get packType 资产包类型.
     *
     * @return the string
     */
    public String getPackType(){
        return packType;
    }

    /**
     * Set transRule 转让规则.
     */
    public void setTransRule(String transRule){
        this.transRule = transRule;
    }

    /**
     * Get transRule 转让规则.
     *
     * @return the string
     */
    public String getTransRule(){
        return transRule;
    }

    /**
     * Set packStatus 资产包状态.
     */
    public void setPackStatus(String packStatus){
        this.packStatus = packStatus;
    }

    /**
     * Get packStatus 资产包状态.
     *
     * @return the string
     */
    public String getPackStatus(){
        return packStatus;
    }

    /**
     * Set backOutCode 资产转出机构.
     */
    public void setBackOutCode(String backOutCode){
        this.backOutCode = backOutCode;
    }

    /**
     * Get backOutCode 资产转出机构.
     *
     * @return the string
     */
    public String getBackOutCode(){
        return backOutCode;
    }

    /**
     * Set calcIntrType 利率计算类型.
     */
    public void setCalcIntrType(String calcIntrType){
        this.calcIntrType = calcIntrType;
    }

    /**
     * Get calcIntrType 利率计算类型.
     *
     * @return the string
     */
    public String getCalcIntrType(){
        return calcIntrType;
    }

    /**
     * Set approveStatus 审批状态.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 审批状态.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set abssqrProdCode 产品编号.
     */
    public void setAbssqrProdCode(String abssqrProdCode){
        this.abssqrProdCode = abssqrProdCode;
    }

    /**
     * Get abssqrProdCode 产品编号.
     *
     * @return the string
     */
    public String getAbssqrProdCode(){
        return abssqrProdCode;
    }

    /**
     * Set managerOrgCode 资产管理机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 资产管理机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set scenDate 刷选日期.
     */
    public void setScenDate(Date scenDate){
        this.scenDate = scenDate;
    }

    /**
     * Get scenDate 刷选日期.
     *
     * @return the string
     */
    public Date getScenDate(){
        return scenDate;
    }

    /**
     * Set gmtCreate 创建日期.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建日期.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set maxEndDate 最大到期日.
     */
    public void setMaxEndDate(Date maxEndDate){
        this.maxEndDate = maxEndDate;
    }

    /**
     * Get maxEndDate 最大到期日.
     *
     * @return the string
     */
    public Date getMaxEndDate(){
        return maxEndDate;
    }

    /**
     * Set minEndDate 最小到期日.
     */
    public void setMinEndDate(Date minEndDate){
        this.minEndDate = minEndDate;
    }

    /**
     * Get minEndDate 最小到期日.
     *
     * @return the string
     */
    public Date getMinEndDate(){
        return minEndDate;
    }

    /**
     * Set approveDate 审批完成日期.
     */
    public void setApproveDate(Date approveDate){
        this.approveDate = approveDate;
    }

    /**
     * Get approveDate 审批完成日期.
     *
     * @return the string
     */
    public Date getApproveDate(){
        return approveDate;
    }

    /**
     * Set gmtModified 最近修改日期.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 最近修改日期.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }
}
