/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.ast;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.ast: AstScreenRuleQryParam.java, v 0.1 2019-06-02 20:41 bangis.wangdf Exp $
 */
public class AstScreenRuleQryParam extends BaseParam {
    private static final long serialVersionUID = -7686541857101279824L;
    @VldString(message = "筛选规则编号不能为空")
    private String screenRuleNo;
    
    /**
     * 如果是工单进入详情为 true
     */
    private Boolean work = false;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    public String getScreenRuleNo() {
        return screenRuleNo;
    }

    public void setScreenRuleNo(String screenRuleNo) {
        this.screenRuleNo = screenRuleNo;
    }
    
    public Boolean getWork() {
        return work;
    }
    
    public void setWork(Boolean work) {
        this.work = work;
    }
}
