/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.plan;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.plan: PlanDelOprParam.java, v 0.1 2019-11-11 2:52 PM xiachenxiang Exp $ 
 */
public class PlanDelOprParam extends BaseOprParam {

    /*
    *计划编号
     */
    @VldString(message = "计划编号不能为空")
    private String planNo;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
