/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAlloc;

/**
 * @author hanfei
 * @version PlanAllocHandleParam.java, v 0.1 2019-07-09 14:27 hanfei Exp $
 */
public class PlanAllocHandleParam extends BaseOprParam {
    
    /**
     * 分配计划
     */
    private PlanAlloc alloc;
    /**
     * outTransNo 外部交易流水号.
     */
    private String    outTransNo;
    /**
     * 线下时 为true
     */
    private Boolean offLine = false;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ALLOC_PAY;
    }
    
    
    public String getOutTransNo() {
        return outTransNo;
    }
    
    public void setOutTransNo(String outTransNo) {
        this.outTransNo = outTransNo;
    }
    
    public PlanAlloc getAlloc() {
        return alloc;
    }
    
    public void setAlloc(PlanAlloc alloc) {
        this.alloc = alloc;
    }
    
    public Boolean getOffLine() {
        return offLine;
    }
    
    public void setOffLine(Boolean offLine) {
        this.offLine = offLine;
    }
}
