/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.plan.sub;

import com.general.system.common.model.BaseEntity;

import java.math.BigDecimal;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.plan.sub: PlanAstPriceRuleParam.java, v 0.1 2019-11-07 2:32 PM xiachenxiang Exp $ 
 */
public class PlanAstPriceRuleParam extends BaseEntity {
    /**
     * termNo 期次.
     */
    private Long termNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * intrDiscountRate 利息折价率.
     */
    private BigDecimal intrDiscountRate;

    public Long getTermNo() {
        return termNo;
    }

    public void setTermNo(Long termNo) {
        this.termNo = termNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public BigDecimal getIntrDiscountRate() {
        return intrDiscountRate;
    }

    public void setIntrDiscountRate(BigDecimal intrDiscountRate) {
        this.intrDiscountRate = intrDiscountRate;
    }
}
