/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.workOrder;

import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;

/**
 *
 * @author yangcheng
 * @version WorkOrderPageParam.java, v0.12019-06-1010:41 yangchengExp$
 */
public class WorkOrderPageParam extends BasePageQryParam {
    private static final long serialVersionUID = 7112528047534076389L;
    /**
     * userName 申请人
     */
    private String userName;
    /**
     *工单编号
     *
     */
    private String workOrdCode;
    /**
     *工单名称
     */
    private String workOrdName;
    /**
     * 是否是已完成的
     */
    private boolean finished;
    
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    
    public String getWorkOrdCode() {
        return workOrdCode;
    }
    
    public void setWorkOrdCode(String workOrdCode) {
        this.workOrdCode = workOrdCode;
    }
    
    public String getWorkOrdName() {
        return workOrdName;
    }
    
    public void setWorkOrdName(String workOrdName) {
        this.workOrdName = workOrdName;
    }
    
    
    public boolean isFinished() {
        return finished;
    }
    
    public void setFinished(boolean finished) {
        this.finished = finished;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
}
