package com.abssqr.plat.common.facade.result;

import com.google.common.collect.Lists;

import java.io.Serializable;
import java.util.List;

/**
 * 用于分页的工具类
 */
public class BasePage<T> implements Serializable {
    
    private static final long serialVersionUID = -9073944061687924158L;
    //对象记录结果集
    private int     total           = 0;
    // 总记录数
    private int     limit           = 20;
    // 默认每页显示记录数
    private int     currPageNo      = 1;
    // 当前页
    private List<T> datas = Lists.newArrayList();

    public List<T> getDatas() {
        return datas;
    }

    public void setDatas(List<T> datas) {
        this.datas = datas;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public int getCurrPageNo() {
        return currPageNo;
    }

    public void setCurrPageNo(int currPageNo) {
        this.currPageNo = currPageNo;
    }
}
