/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPoolDO;
import com.abssqr.plat.common.model.domain.ast.AstPoolEntity;

/**
 *
 * @author hanfei
 * @version $Id: AstPoolConvert.java, v 0.1 2020-02-20 2:17 PM hanfei Exp $ 
 */
public class AstPoolConvert {
    
    public static AstPoolEntity convertDomain(AstPoolDO astPoolDO) {
        if (astPoolDO == null){
            return null;
        }
        AstPoolEntity result  = new AstPoolEntity();
        result.setAstNo(astPoolDO.getAstNo());
        result.setManagerOrgCode(astPoolDO.getManagerOrgCode());
        result.setOwnOrg(astPoolDO.getOwnOrg());
        result.setTermNo(astPoolDO.getTermNo());
        result.setStartDate(astPoolDO.getStartDate());
        result.setEndDate(astPoolDO.getEndDate());
        result.setSlice(astPoolDO.getSlice());
        return result;
    }
    
}
