/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.util.constants;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.constants: LogConstants.java, v 0.1 2019-05-27 21:52 zhenxuan.luo Exp $
 */
public interface LogConstants {
    
    /**
     * 格式化开始符号
     */
    static final String FMT_BEGIN  = "[(";
    /**
     * 格式化中间符号
     */
    static final String FMT_MIDDLE = ")(";
    /**
     * 格式化结束符号
     */
    static final String FMT_END    = ")]";
    /**
     * 毫秒
     */
    static final String MS         = "ms";
    /**
     * 没有值时日志上以-替代
     */
    static final String NONE       = "-";
    /**
     * 逗号
     */
    static final String COMMA      = ",";
    /** 点号 */
    static final char   DOT        = '.';
    
    /** 业务成功标识 */
    static final char YES = 'Y';
    
    /** 业务失败标识 */
    static final char NO = 'N';
    
}