/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.test.unittest.transfer;

import com.abssqr.plat.biz.shared.dispatcher.transfer.AstTrTaskExecutor;
import com.abssqr.plat.common.model.domain.task.TrTask;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.test.unittest.ast: LoanAstTrManagerUnitTest.java, v 0.1 2019-11-15 上午03:49 zhenxuan.luo Exp $ 
 */
public class AstTrTaskExecutorUnitTest extends BaseAutoTests {
    
    @Autowired
    private AstTrTaskExecutor astTrTaskExecutor;
    
    @XTest(relatePath = "unittest/transfer/astTrTaskExecutor")
    @Test(dataProvider = "YamlDataProvider", description = "转让执行测试")
    public void testAstTrTask(ICase iCase, TrTask trTask){

        try{
            astTrTaskExecutor.execute(trTask);
    
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }

    }
}