/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.astclient.base;

import com.abssqr.plat.common.facade.enums.AstContractTypeEnum;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.enums.GrantFundTypeEnum;
import com.abssqr.plat.common.facade.enums.LoanStatusEnum;
import com.abssqr.plat.common.facade.enums.LoanTypeEnum;
import com.abssqr.plat.common.facade.enums.PeriodTypeEnum;
import com.abssqr.plat.common.facade.enums.RateTypeEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.astclient.base: FieldTranslator.java, v 0.1 2019-06-14 20:13 zhenxuan.luo Exp $ 
 */
public interface FieldTranslator {
    
    LoanStatusEnum transAstStatus(String... statusFields);
    
    LoanStatusEnum transTermStatus(String termStatus);
    
    LoanTypeEnum transLoanType(String loanType);
    
    AstTypeEnum transAstType(String astType);
    
    AstContractTypeEnum transContType(String contType);
    
    GrantFundTypeEnum transGrantType(String grantType);
    
    RepayMethodEnum transRepayMethod(String repayMethod);
    
    PeriodTypeEnum transPeriodType(String periodType);
    
    RateTypeEnum transRateType(String rateType);
}