package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table ABS_PLAN_ALLOC_FROZEN
 */
public class PlanAllocFrozenDO{

    /**
     * frozenCash 当前冻结资金余额.
     */
    private Long frozenCash;
    /**
     * lastFrozenCash 变更前冻结资金.
     */
    private Long lastFrozenCash;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配计划编号.
     */
    private String allocNo;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastUpdateDate 最近变更会计日.
     */
    private Date lastUpdateDate;

    /**
     * Set frozenCash 当前冻结资金余额.
     */
    public void setFrozenCash(Long frozenCash){
        this.frozenCash = frozenCash;
    }

    /**
     * Get frozenCash 当前冻结资金余额.
     *
     * @return the string
     */
    public Long getFrozenCash(){
        return frozenCash;
    }

    /**
     * Set lastFrozenCash 变更前冻结资金.
     */
    public void setLastFrozenCash(Long lastFrozenCash){
        this.lastFrozenCash = lastFrozenCash;
    }

    /**
     * Get lastFrozenCash 变更前冻结资金.
     *
     * @return the string
     */
    public Long getLastFrozenCash(){
        return lastFrozenCash;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set allocNo 分配计划编号.
     */
    public void setAllocNo(String allocNo){
        this.allocNo = allocNo;
    }

    /**
     * Get allocNo 分配计划编号.
     *
     * @return the string
     */
    public String getAllocNo(){
        return allocNo;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate 最近变更会计日.
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近变更会计日.
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }
}
