package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolItem;
import java.util.Date;

/**
 * The table ABS_AST_POOL 一月的资产池
 */
public class PactsAstMatchPage extends BasePage<AstPoolItem>{

    /**
     * sysDate .
     */
    private Date sysDate;
    /**
     * ownOrg 所属机构（计划）.
     */
    private String ownOrg;

    /**
     * Set sysDate .
     */
    public void setSysDate(Date sysDate){
        this.sysDate = sysDate;
    }

    /**
     * Get sysDate .
     *
     * @return the string
     */
    public Date getSysDate(){
        return sysDate;
    }

    /**
     * Set ownOrg 所属机构（计划）.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属机构（计划）.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }
}
