/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.analyse;

import cn.hutool.core.io.FastByteArrayOutputStream;

import java.io.OutputStream;
import java.util.Date;

/**
 * 资金计划文件
 * @author hanfei
 * @version $Id: PlanFundFile.java, v 0.1 2019-09-19 4:28 PM hanfei Exp $
 */
public class PlanFundFile {
    /**
     * fileId 文件ID.
     */
    private String                    fileId;
    /**
     * planNo 计划编号.
     */
    private String                    planNo;
    /**
     * fileMd5 文件MD5.
     */
    private String                    fileMd5;
    /**
     * fileName 文件原名.
     */
    private String                    fileName;
    /**
     * filePath 上传路径.
     */
    private String                    filePath;
    /**
     * uploadType 上传方式.
     */
    private String                    uploadType;
    /**
     * uploadDate 上传日期.
     */
    private Date                      uploadDate;
    /**
     * 实际下载文件流
     */
    private FastByteArrayOutputStream fileOutStream;
    
    public String getFileName() {
        return fileName;
    }
    
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
    
    public String getFileId() {
        return fileId;
    }
    
    public void setFileId(String fileId) {
        this.fileId = fileId;
    }
    
    public String getFilePath() {
        return filePath;
    }
    
    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }
    
    public Date getUploadDate() {
        return uploadDate;
    }
    
    public void setUploadDate(Date uploadDate) {
        this.uploadDate = uploadDate;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getFileMd5() {
        return fileMd5;
    }
    
    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }
    
    public String getUploadType() {
        return uploadType;
    }
    
    public void setUploadType(String uploadType) {
        this.uploadType = uploadType;
    }
    
    public FastByteArrayOutputStream getFileOutStream() {
        return fileOutStream;
    }
    
    public void setFileOutStream(FastByteArrayOutputStream fileOutStream) {
        this.fileOutStream = fileOutStream;
    }
}
