package com.abssqr.plat.common.facade.param.analyse;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * 查询计划文件参数
 * @author hanfei
 * @version $Id: FundPlanFileQryParam.java, v 0.1 2019-12-22 10:47 AM hanfei Exp $
 */
public class FundPlanFileQryParam extends BaseParam {

    @VldString(message = "文件唯一编码不能为空")
    private String fileId;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }



    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }
}
