/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.loan;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldBigDecimal;
import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.abssqr.plat.common.facade.validation.VldRange;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author hanfei
 * @version LoanAstTermQryParam.java, v0.12019-07-1110:20 hanfeiExp$
 */
public class LoanAstTermQryParam extends LoanAstQryParam {
    
    /**
     * 分期期号.
     */
    @VldNotNull(message = "分期期号不能为空")
    private Integer  termNo;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    public Integer getTermNo() {
        return termNo;
    }
    
    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }
}
