/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.plan;

import com.abssqr.plat.common.facade.model.account.Account;
import com.abssqr.plat.common.facade.result.account.AccountVO;
import com.general.system.common.model.Money;

/**
 *
 * @author hanfei
 * @version $Id: PlanAllocPayInfoVO.java, v 0.1 2019-06-26 11:26 AM hanfei Exp $
 */
public class PlanAllocPayInfoVO {
    
    /**
     * planNo 计划编号.
     */
    private String              planNo;
    /**
     * planName 计划名称.
     */
    private String              planName;
    /**
     * payAmt  支付金额.
     */
    private Money               payAmt;
    /**
     * 源账户信息
     */
    private AccountVO sourceAcct;
    /**
     * 目标账户信息
     */
    private AccountVO targetAcct;
    
    
    public AccountVO installAccount(Account account) {
        AccountVO vo = new AccountVO();
        vo.setActNo(account.getActNo());
        vo.setActName(account.getActName());
        return vo;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public Money getPayAmt() {
        return payAmt;
    }
    
    public void setPayAmt(Money payAmt) {
        this.payAmt = payAmt;
    }
    
    public AccountVO getSourceAcct() {
        return sourceAcct;
    }
    
    public void setSourceAcct(AccountVO sourceAcct) {
        this.sourceAcct = sourceAcct;
    }
    
    public AccountVO getTargetAcct() {
        return targetAcct;
    }
    
    public void setTargetAcct(AccountVO targetAcct) {
        this.targetAcct = targetAcct;
    }
    
    
}
