/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.result.workbench;

import com.general.system.common.model.Money;

/**
 * 机构信息总览
 * @author guozhenhua
 * @version com.abssqr.admin.biz.model.vo.workbench: OrgPlanInfo.java, v 0.1 2018-06-19 上午11:34 guozhenhua Exp $
 */
public class OrgPlanInfo {

    /**
     * 计划总规模
     */
    private Money  planAmount=new Money(0);
    /**
     * 累计转让规模
     */
    private Money trfAmount =new Money(0);
    /**
     * 产品数量(存续期)
     */
    private int planOngoingCount= 0;

    /**
     * 最近支付产品列表
     */
    private ProdPayItem recentlyPlan;
    
    public Money getPlanAmount() {
        return planAmount;
    }
    
    public void setPlanAmount(Money planAmount) {
        this.planAmount = planAmount;
    }
    
    public Money getTrfAmount() {
        return trfAmount;
    }
    
    public void setTrfAmount(Money trfAmount) {
        this.trfAmount = trfAmount;
    }
    
    public int getPlanOngoingCount() {
        return planOngoingCount;
    }
    
    public void setPlanOngoingCount(int planOngoingCount) {
        this.planOngoingCount = planOngoingCount;
    }
    
    public ProdPayItem getRecentlyPlan() {
        return recentlyPlan;
    }
    
    public void setRecentlyPlan(ProdPayItem recentlyPlan) {
        this.recentlyPlan = recentlyPlan;
    }
}
