/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTaskLogDO;
import com.abssqr.plat.common.facade.enums.PlanTaskTypeEnum;
import com.abssqr.plat.common.model.domain.plan.PlanTaskLog;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.convertor: PlanTaskLogConvert.java, v 0.1 2019-09-23 11:38 bangis.wangdf Exp $ 
 */
public class PlanTaskLogConvert {
    public static PlanTaskLog do2Model(PlanTaskLogDO taskLogDO) {
        if(taskLogDO!=null){
            PlanTaskLog result = new PlanTaskLog();
            result.setExecDate(taskLogDO.getExecDate());
            result.setPlanNo(taskLogDO.getPlanNo());
            result.setTaskType(PlanTaskTypeEnum.getByCode(taskLogDO.getTaskType()));
            return result;
        }
        return null;
    } public static PlanTaskLogDO model2Do(PlanTaskLog taskLog) {
        if(taskLog!=null){
            PlanTaskLogDO result = new PlanTaskLogDO();
            result.setExecDate(taskLog.getExecDate());
            result.setPlanNo(taskLog.getPlanNo());
            result.setTaskType(taskLog.getTaskType().getCode());
            return result;
        }
        return null;
    }
}
