/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.CertTypeEnum;
import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: LoanCustInfo.java, v 0.1 2019-05-30 15:59 zhenxuan.luo Exp $
 */
public class LoanCustInfo extends BaseEntity {
    
    /**
     * 客户号
     */
    private String name;
    
    /**
     * 证件类型
     */
    private CertTypeEnum certType;
    
    /**
     * 证件号
     */
    private String certNo;
    
    /**
     * 手机号
     */
    private String mobileNo;
    
    /**
     * 省份
     */
    private String province;
    
    /**
     * 城市
     */
    private String city;
    
    private String appLoc;
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public CertTypeEnum getCertType() {
        return certType;
    }
    
    public void setCertType(CertTypeEnum certType) {
        this.certType = certType;
    }
    
    public String getCertNo() {
        return certNo;
    }
    
    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }
    
    public String getMobileNo() {
        return mobileNo;
    }
    
    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }
    
    public String getProvince() {
        return province;
    }
    
    public void setProvince(String province) {
        this.province = province;
    }
    
    public String getCity() {
        return city;
    }
    
    public void setCity(String city) {
        this.city = city;
    }
    
    public String getAppLoc() {
        return appLoc;
    }
    
    public void setAppLoc(String appLoc) {
        this.appLoc = appLoc;
    }
}