/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.contract;

import com.abssqr.plat.common.facade.enums.GrantFundTypeEnum;
import com.general.system.common.model.BaseEntity;

/**
 *
 * 合同参与方
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.contract: ContratInst.java, v 0.1 2019-05-30 15:35 zhenxuan.luo Exp $
 */
public class ContractInst extends BaseEntity {
    
    /**
     * 资产发起机构（业务合作方）
     */
    private String sponsorOrgCode;
    
    /**
     * 资产的管理机构
     */
    private String managerOrgCode;
    
    private GrantFundTypeEnum grantType;
    
    public String getSponsorOrgCode() {
        return sponsorOrgCode;
    }
    
    public void setSponsorOrgCode(String sponsorOrgCode) {
        this.sponsorOrgCode = sponsorOrgCode;
    }
    
    public String getManagerOrgCode() {
        return managerOrgCode;
    }
    
    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }
    
    public GrantFundTypeEnum getGrantType() {
        return grantType;
    }
    
    public void setGrantType(GrantFundTypeEnum grantType) {
        this.grantType = grantType;
    }
}