/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.job;

import com.abssqr.plat.common.model.domain.job.JobControl;

/**
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.job: JobControlRepository.java, v 0.1 2018-02-02 上午10:59 guozhenhua Exp $ 
 */
public interface JobControlRepository {

    /**
     * 根据jobName名称获取jobcontr
     * @param jobName
     * @return
     */
    JobControl selectByJobName(String jobName);
    
    JobControl lockByJobName(String jobName);
    
    int insert(JobControl jobControl);
    
    int update(JobControl jobControl);
}
